do
   local originalCreateUI = CreateUI
   local originalOnSelectionChanged = OnSelectionChanged

   function CreateUI(isReplay)
      originalCreateUI(isReplay)
      import("/mods/selectedinfo/selectedinfo.lua").Init()
   end

   function OnSelectionChanged(oldSelection, newSelection, added, removed)
      --run old selection code
      originalOnSelectionChanged(oldSelection, newSelection, added, removed)
      
      local selUnits = newSelection
      if selUnits 
         and table.getn(selUnits) == 1 
         and import("/mods/selectedinfo/selectedinfo.lua").SelectedOverlayOn then
         import("/mods/selectedinfo/selectedinfo.lua").ActivateSingleRangeOverlay()
      else
         import("/mods/selectedinfo/selectedinfo.lua").DeactivateSingleRangeOverlay()
      end   
      
   end
  
end
